<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchEvaluation: SemanticSearchEvaluation.SearchApproach Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchEvaluation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_semantic_search_evaluation.html">SemanticSearchEvaluation</a></li><li class="navelem"><a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html">SearchApproach</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_semantic_search_evaluation_1_1_search_approach-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SemanticSearchEvaluation.SearchApproach Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p>Provides all necessary functions for the evaluation of a search approach.  
 <a href="class_semantic_search_evaluation_1_1_search_approach.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for SemanticSearchEvaluation.SearchApproach:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_semantic_search_evaluation_1_1_search_approach.png" usemap="#SemanticSearchEvaluation.SearchApproach_map" alt=""/>
  <map id="SemanticSearchEvaluation.SearchApproach_map" name="SemanticSearchEvaluation.SearchApproach_map">
<area href="class_semantic_search_evaluation_1_1_advanced_elastic_search.html" title="Advanced Elasticsearch approach." alt="SemanticSearchEvaluation.AdvancedElasticSearch" shape="rect" coords="330,56,650,80"/>
<area href="class_semantic_search_evaluation_1_1_bif_contains_search.html" title="Bif:contains approach." alt="SemanticSearchEvaluation.BifContainsSearch" shape="rect" coords="330,112,650,136"/>
<area href="class_semantic_search_evaluation_1_1_empty_search.html" title="Empty search approach." alt="SemanticSearchEvaluation.EmptySearch" shape="rect" coords="330,168,650,192"/>
<area href="class_semantic_search_evaluation_1_1_faceted_search.html" title="Faceted search." alt="SemanticSearchEvaluation.FacetedSearch" shape="rect" coords="330,224,650,248"/>
<area href="class_semantic_search_evaluation_1_1_guideline.html" title="Guideline for search results." alt="SemanticSearchEvaluation.Guideline" shape="rect" coords="330,280,650,304"/>
<area href="class_semantic_search_evaluation_1_1_regex_search.html" title="Regex approach." alt="SemanticSearchEvaluation.RegexSearch" shape="rect" coords="330,336,650,360"/>
<area href="class_semantic_search_evaluation_1_1_simple_elastic_search.html" title="Simple Elasticsearch approach." alt="SemanticSearchEvaluation.SimpleElasticSearch" shape="rect" coords="330,392,650,416"/>
<area href="class_semantic_search_evaluation_1_1_sparql_query_builder_search.html" title="SPARQL Query builder." alt="SemanticSearchEvaluation.SparqlQueryBuilderSearch" shape="rect" coords="330,448,650,472"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a366eb296136b1d7f1534f6e5f5caf55c"><td class="memItemLeft" align="right" valign="top">Process&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html#a366eb296136b1d7f1534f6e5f5caf55c">GetProcess</a> (string path, string arguments)</td></tr>
<tr class="memdesc:a366eb296136b1d7f1534f6e5f5caf55c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The process which needs to be executed to run the specified search approach.  <a href="class_semantic_search_evaluation_1_1_search_approach.html#a366eb296136b1d7f1534f6e5f5caf55c">More...</a><br /></td></tr>
<tr class="separator:a366eb296136b1d7f1534f6e5f5caf55c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adcd32a056e0f894aa985a76f0d83c034"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html#adcd32a056e0f894aa985a76f0d83c034">GetPath</a> ()</td></tr>
<tr class="memdesc:adcd32a056e0f894aa985a76f0d83c034"><td class="mdescLeft">&#160;</td><td class="mdescRight">The path to the executable of the search approach.  <a href="class_semantic_search_evaluation_1_1_search_approach.html#adcd32a056e0f894aa985a76f0d83c034">More...</a><br /></td></tr>
<tr class="separator:adcd32a056e0f894aa985a76f0d83c034"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b560b4e0d66a0213ed0e5a0aada6d13"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html#a4b560b4e0d66a0213ed0e5a0aada6d13">GetArguments</a> (int counter)</td></tr>
<tr class="memdesc:a4b560b4e0d66a0213ed0e5a0aada6d13"><td class="mdescLeft">&#160;</td><td class="mdescRight">The arguments for the process containing the specified search intention.  <a href="class_semantic_search_evaluation_1_1_search_approach.html#a4b560b4e0d66a0213ed0e5a0aada6d13">More...</a><br /></td></tr>
<tr class="separator:a4b560b4e0d66a0213ed0e5a0aada6d13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a309037aeaa9d9bf1dc94ee039e0f7f04"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html#a309037aeaa9d9bf1dc94ee039e0f7f04">GetName</a> ()</td></tr>
<tr class="memdesc:a309037aeaa9d9bf1dc94ee039e0f7f04"><td class="mdescLeft">&#160;</td><td class="mdescRight">The specified name for the search approach.  <a href="class_semantic_search_evaluation_1_1_search_approach.html#a309037aeaa9d9bf1dc94ee039e0f7f04">More...</a><br /></td></tr>
<tr class="separator:a309037aeaa9d9bf1dc94ee039e0f7f04"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Provides all necessary functions for the evaluation of a search approach. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a4b560b4e0d66a0213ed0e5a0aada6d13"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b560b4e0d66a0213ed0e5a0aada6d13">&#9670;&nbsp;</a></span>GetArguments()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">abstract string SemanticSearchEvaluation.SearchApproach.GetArguments </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>counter</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The arguments for the process containing the specified search intention. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">counter</td><td>Number of the search intention.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd></dd></dl>

<p>Implemented in <a class="el" href="class_semantic_search_evaluation_1_1_regex_search.html#a5c5497e7298c7a7f99f02f43aaa225f4">SemanticSearchEvaluation.RegexSearch</a>, <a class="el" href="class_semantic_search_evaluation_1_1_empty_search.html#a3a9eef79a5ecf0e21d2a99cefa9d5ff3">SemanticSearchEvaluation.EmptySearch</a>, and <a class="el" href="class_semantic_search_evaluation_1_1_bif_contains_search.html#a290c8129b577040c27964c9e574f9480">SemanticSearchEvaluation.BifContainsSearch</a>.</p>

</div>
</div>
<a id="a309037aeaa9d9bf1dc94ee039e0f7f04"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a309037aeaa9d9bf1dc94ee039e0f7f04">&#9670;&nbsp;</a></span>GetName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">abstract string SemanticSearchEvaluation.SearchApproach.GetName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The specified name for the search approach. </p>
<dl class="section return"><dt>Returns</dt><dd>Name of the search approach.</dd></dl>

<p>Implemented in <a class="el" href="class_semantic_search_evaluation_1_1_regex_search.html#af4770e1301d6716be4e7cc905d4bdf23">SemanticSearchEvaluation.RegexSearch</a>, <a class="el" href="class_semantic_search_evaluation_1_1_empty_search.html#a16c2658a9e171535ae824155f32c1d7e">SemanticSearchEvaluation.EmptySearch</a>, and <a class="el" href="class_semantic_search_evaluation_1_1_bif_contains_search.html#a1845335930bd419244cef6baf44cde0e">SemanticSearchEvaluation.BifContainsSearch</a>.</p>

</div>
</div>
<a id="adcd32a056e0f894aa985a76f0d83c034"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adcd32a056e0f894aa985a76f0d83c034">&#9670;&nbsp;</a></span>GetPath()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">abstract string SemanticSearchEvaluation.SearchApproach.GetPath </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The path to the executable of the search approach. </p>
<dl class="section return"><dt>Returns</dt><dd>String with the relative path.</dd></dl>

<p>Implemented in <a class="el" href="class_semantic_search_evaluation_1_1_regex_search.html#a5fa167142c637349ab4c32038eeeea56">SemanticSearchEvaluation.RegexSearch</a>, <a class="el" href="class_semantic_search_evaluation_1_1_empty_search.html#aefdea5414996cf25ee427ccc1dce6741">SemanticSearchEvaluation.EmptySearch</a>, and <a class="el" href="class_semantic_search_evaluation_1_1_bif_contains_search.html#a452553657ed0b42d1d130f2cc215dacd">SemanticSearchEvaluation.BifContainsSearch</a>.</p>

</div>
</div>
<a id="a366eb296136b1d7f1534f6e5f5caf55c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a366eb296136b1d7f1534f6e5f5caf55c">&#9670;&nbsp;</a></span>GetProcess()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Process SemanticSearchEvaluation.SearchApproach.GetProcess </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>arguments</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The process which needs to be executed to run the specified search approach. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">path</td><td>Path to the executable of the search approach.</td></tr>
    <tr><td class="paramname">arguments</td><td>Arguments for the process.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Process to execute specific search intention of specific approach.</dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_search_approach_8cs.html">SearchApproach.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
